Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JDBCMultiPoolMBean

public interface JDBCMultiPoolMBean
extends DeploymentMBean

This MBean represents a JDBC Multipool, which is a pool of JDBC connection pools.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getACLName()` Deprecated.
`java.lang.String` | `getAlgorithmType()` The algorithm type for this Multipool.
`java.lang.String` | `getConnectionPoolFailoverCallbackHandler()` The absolute name of the application class that implements the interface weblogic.jdbc.extensions.ConnectionPoolFailoverCallback.
`boolean` | `getFailoverRequestIfBusy()` Returns the current failoverRequestIfBusy value.
`int` | `getHealthCheckFrequencySeconds()` The frequency at which the MultiPool checks the health of connection pools that were previously found to be dead and were consequently disabled.
`JDBCConnectionPoolMBean[]` | `getPoolList()` The list of connection pools in the MultiPool.
`void` | `setACLName(java.lang.String newACLName)` Deprecated. @non-dynamic
`void` | `setAlgorithmType(java.lang.String algorithm)` The algorithm type for this Multipool.
`void` | `setConnectionPoolFailoverCallbackHandler(java.lang.String className)` The absolute name of the application class that implements the interface weblogic.jdbc.extensions.ConnectionPoolFailoverCallback.
`void` | `setFailoverRequestIfBusy(boolean newVal)` Enables the MultiPool to failover to the next connection pool when all connections in the current connection pool are in use.
`void` | `setHealthCheckFrequencySeconds(int newVal)` The frequency at which the MultiPool checks the health of connection pools that were previously found to be dead and were consequently disabled.
`void` | `setPoolList(JDBCConnectionPoolMBean[] thePoolList)` The list of connection pools in the MultiPool.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getACLName

    public java.lang.String getACLName()

  Deprecated.
  The access control list (ACL) used to control access to this MultiPool.

  Returns:
    The aCLName value

### setACLName

    public void setACLName(java.lang.String newACLName)
                    throws javax.management.InvalidAttributeValueException

  Deprecated. @non-dynamic
  The access control list (ACL) used to control access to this MultiPool.

  Secure Value: null
  Parameters:
    `newACLName` - The new aCLName value
  Throws:
    javax.management.InvalidAttributeValueException -

### getPoolList

    public JDBCConnectionPoolMBean[] getPoolList()

  The list of connection pools in the MultiPool.

  Returns:
    The poolList value

### setPoolList

    public void setPoolList(JDBCConnectionPoolMBean[] thePoolList)
                     throws javax.management.InvalidAttributeValueException

  The list of connection pools in the MultiPool.

  Legal NULL: false
  Parameters:
    `thePoolList` - The new poolList value
  Throws:
    javax.management.InvalidAttributeValueException -

### setAlgorithmType

    public void setAlgorithmType(java.lang.String algorithm)

  The algorithm type for this Multipool.

  If set to "High availability", the connection pools are set up as an ordered list. That is, every time an application asks the Multipool for a connection, it tries to get a connection from the first pool in its list. If unable to get a valid connection, it tries the next pool in its list. The process is repeated until a valid connection is obtained, or until the end of the list is reached, in which case an exception will be thrown.

  Note that the Multipool will only move to the next pool in the list when there is a real problem with the pool, for example the database is down or the pool disabled. For the cases where all connections are busy, the Multipool behaves as a single pool and an exception is thrown.

  If the algorithm is set to "Load balancing," the Multipool will distribute the connection requests evenly to its member pools. This algorithm also performs the same failover behavior as the high availability algorithm.

  Default value for this attribute is "High availability".

  Legal Values: JDBCLegalHelper.ALGORITHM_HIGH_AVAILABILITY, JDBCLegalHelper.ALGORITHM_LOAD_BALANCING
  Parameters:
    `algorithm` - The new algorithmType value

### getAlgorithmType

    public java.lang.String getAlgorithmType()

  The algorithm type for this Multipool.

  If set to "High availability", the connection pools are set up as an ordered list. That is, every time an application asks the Multipool for a connection, it tries to get a connection from the first pool in its list. If unable to get a valid connection, it tries the next pool in its list. The process is repeated until a valid connection is obtained, or until the end of the list is reached, in which case an exception will be thrown.

  Note that the Multipool will only move to the next pool in the list when there is a real problem with the pool, for example the database is down or the pool disabled. For the cases where all connections are busy, the Multipool behaves as a single pool and an exception is thrown.

  If the algorithm is set to "Load balancing," the Multipool will distribute the connection requests evenly to its member pools. This algorithm also performs the same failover behavior as the high availability algorithm.

  Default Value: JDBCLegalHelper.ALGORITHM_HIGH_AVAILABILITY
  Returns:
    The algorithmType value

### getConnectionPoolFailoverCallbackHandler

    public java.lang.String getConnectionPoolFailoverCallbackHandler()

  The absolute name of the application class that implements the interface weblogic.jdbc.extensions.ConnectionPoolFailoverCallback.

  If set, before a MultiPool fails over to the next connection pool in the list, WebLogic Server calls the callback application indicated and waits for a return. Depending on the value returned from the callback application, the MultiPool will either try the same connection pool, failover to the next connection pool, or fail and throw an exception.

  The MultiPool also calls the callback application when the original connection pool becomes available for failback.

  Default Value: null
  See Also:
    `ConnectionPoolFailoverCallback`

### setConnectionPoolFailoverCallbackHandler

    public void setConnectionPoolFailoverCallbackHandler(java.lang.String className)

  The absolute name of the application class that implements the interface weblogic.jdbc.extensions.ConnectionPoolFailoverCallback.

  See Also:
    `ConnectionPoolFailoverCallback`

### setFailoverRequestIfBusy

    public void setFailoverRequestIfBusy(boolean newVal)

  Enables the MultiPool to failover to the next connection pool when all connections in the current connection pool are in use.

  If set to true, when all connections in the current connection pool are in use, application requests for connections will be routed to alternate connection pools within the MultiPool.

  If set to false, connection requests do not failover.

  This is only relevant when running with the High Availability algorithm.

  A dynamic MBean attribute
  Parameters:
    `newVal` - The new attribute value

### getFailoverRequestIfBusy

    public boolean getFailoverRequestIfBusy()

  Returns the current failoverRequestIfBusy value.

  Default Value: false

### setHealthCheckFrequencySeconds

    public void setHealthCheckFrequencySeconds(int newVal)

  The frequency at which the MultiPool checks the health of connection pools that were previously found to be dead and were consequently disabled.

  A dynamic MBean attribute
  Parameters:
    `newVal` - The new attribute value

### getHealthCheckFrequencySeconds

    public int getHealthCheckFrequencySeconds()

  The frequency at which the MultiPool checks the health of connection pools that were previously found to be dead and were consequently disabled.

  Default Value: 300

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD